public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/maven-bin/
Date: Mon,  7 Sep 2015 10:08:54 +0000 (UTC)	[thread overview]
Message-ID: <1441464067.ac19310fbaf0bc8ab1bc2050e2fdb45569c00e7b.monsieurp@gentoo> (raw)

commit:     ac19310fbaf0bc8ab1bc2050e2fdb45569c00e7b
Author:     Thanh Ha <thanh.ha <AT> alumni <DOT> carleton <DOT> ca>
AuthorDate: Sat Aug 29 15:42:47 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Sep  5 14:41:07 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac19310f

dev-java/maven-bin: bump to 3.3.3

Signed-off-by: Thanh Ha <thanh.ha <AT> alumni.carleton.ca>

 dev-java/maven-bin/maven-bin-3.3.3.ebuild | 88 +++++++++++++++++++++++++++++++
 1 file changed, 88 insertions(+)

diff --git a/dev-java/maven-bin/maven-bin-3.3.3.ebuild b/dev-java/maven-bin/maven-bin-3.3.3.ebuild
new file mode 100644
index 0000000..4737809
--- /dev/null
+++ b/dev-java/maven-bin/maven-bin-3.3.3.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit java-pkg-2
+
+MY_PN=apache-${PN%%-bin}
+MY_PV=${PV/_alpha/-alpha-}
+MY_P="${MY_PN}-${MY_PV}"
+MY_MV="${PV%%.*}"
+
+DESCRIPTION="Project Management and Comprehension Tool for Java"
+SRC_URI="mirror://apache/maven/maven-${MY_MV}/${PV}/binaries/${MY_P}-bin.tar.gz"
+HOMEPAGE="http://maven.apache.org/"
+
+LICENSE="Apache-2.0"
+SLOT="3.3"
+KEYWORDS="~amd64 ~x86"
+
+# TODO: Needs further resolution:
+#
+# - https://bugs.gentoo.org/show_bug.cgi?id=472850
+# - https://bugs.gentoo.org/show_bug.cgi?id=477436
+#
+DEPEND="|| ( app-eselect/eselect-java app-eselect/eselect-maven )
+|| ( dev-java/commons-logging:0 dev-java/log4j:0 dev-java/avalon-logkit:2.0 )
+dev-java/aopalliance:1
+dev-java/avalon-framework:4.1
+dev-java/commons-cli:1
+dev-java/commons-io:1
+dev-java/javax-inject:0
+dev-java/jsoup:0
+dev-java/jsr250:0
+dev-java/juel:0
+dev-java/osgi-core-api:0
+java-virtuals/interceptor-api:0
+java-virtuals/servlet-api:2.4"
+
+RDEPEND=">=virtual/jdk-1.6
+>=virtual/jre-1.6
+${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+MAVEN=${PN}-${SLOT}
+MAVEN_SHARE="/usr/share/${MAVEN}"
+
+java_prepare() {
+	rm -v bin/*.cmd lib/{aopalliance,commons-cli,javax.inject,jsr250}-*.jar || die
+
+	chmod 644 boot/*.jar lib/*.jar conf/settings.xml || die
+
+	# Symlink jars.
+	cd lib || die
+	java-pkg_jar-from aopalliance-1,avalon-framework-4.1,commons-cli-1,commons-io-1,interceptor-api,javax-inject,jsoup,jsr250,juel,osgi-core-api,servlet-api-2.4
+	has_version dev-java/commons-logging:0 && java-pkg_jar-from commons-logging
+	has_version dev-java/avalon-logkit:2.0 && java-pkg_jar-from avalon-logkit-2.0
+	has_version dev-java/log4j:0 && java-pkg_jar-from log4j
+}
+
+# TODO: We should use jars from packages, instead of what is bundled.
+src_install() {
+	dodir "${MAVEN_SHARE}"
+
+	cp -Rp bin boot conf lib "${ED}/${MAVEN_SHARE}" || die "failed to copy"
+
+	java-pkg_regjar "${ED}/${MAVEN_SHARE}"/boot/*.jar
+	java-pkg_regjar "${ED}/${MAVEN_SHARE}"/lib/*.jar
+
+	dodoc NOTICE README.txt
+
+	dodir /usr/bin
+	dosym "${MAVEN_SHARE}/bin/mvn" /usr/bin/mvn-${SLOT}
+
+	# See bug #342901.
+	echo "CONFIG_PROTECT=\"${MAVEN_SHARE}/conf\"" > "${T}/25${MAVEN}" || die
+	doenvd "${T}/25${MAVEN}"
+}
+
+pkg_postinst() {
+	eselect maven update mvn-${SLOT}
+}
+
+pkg_postrm() {
+	eselect maven update
+}


             reply	other threads:[~2015-09-07 10:09 UTC|newest]

Thread overview: 96+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-07 10:08 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-09-07 13:54 [gentoo-commits] repo/gentoo:master commit in: dev-java/maven-bin/ Patrice Clement
2015-10-29 21:25 Patrice Clement
2016-01-26 10:12 Miroslav Šulc
2016-01-26 10:42 Miroslav Šulc
2016-01-26 16:42 Agostino Sarubbo
2016-01-26 16:42 Agostino Sarubbo
2016-01-26 18:19 Miroslav Šulc
2018-11-04  9:49 Miroslav Šulc
2018-11-22 18:43 Miroslav Šulc
2019-01-14 12:27 Miroslav Šulc
2019-05-14 17:20 Miroslav Šulc
2019-05-14 19:12 Patrice Clement
2019-05-14 19:12 Patrice Clement
2019-05-14 19:12 Patrice Clement
2019-05-14 19:12 Patrice Clement
2019-05-14 19:12 Patrice Clement
2019-05-14 19:12 Patrice Clement
2019-05-14 19:12 Patrice Clement
2019-05-21 21:23 Patrice Clement
2019-05-21 21:23 Patrice Clement
2019-05-22 11:53 Patrice Clement
2019-05-22 11:53 Patrice Clement
2019-09-19 13:34 Miroslav Šulc
2019-10-30 12:26 Agostino Sarubbo
2019-10-31 23:50 Thomas Deutschmann
2020-09-29 17:16 Miroslav Šulc
2020-09-29 17:36 Miroslav Šulc
2020-09-29 17:40 Miroslav Šulc
2020-10-28 14:33 Thomas Deutschmann
2020-11-04  0:52 Sam James
2020-11-04  8:24 Miroslav Šulc
2021-04-25  7:50 Miroslav Šulc
2021-04-25  7:55 Miroslav Šulc
2021-04-26  5:06 Miroslav Šulc
2021-04-26 19:11 Sam James
2021-04-26 19:11 Sam James
2021-04-27  5:33 Miroslav Šulc
2021-08-15  7:55 Miroslav Šulc
2021-09-23  6:40 Agostino Sarubbo
2021-09-23 13:58 Agostino Sarubbo
2021-09-24  6:48 Miroslav Šulc
2021-10-05  7:27 Miroslav Šulc
2021-11-04 15:30 Sam James
2021-11-04 15:30 Sam James
2022-08-02 10:19 Miroslav Šulc
2022-08-02 10:19 Miroslav Šulc
2022-09-05 14:01 Agostino Sarubbo
2022-09-05 14:36 Jakov Smolić
2022-09-06  4:08 Miroslav Šulc
2022-12-31  9:36 Miroslav Šulc
2023-01-31 11:48 Arthur Zamarin
2023-01-31 13:06 Arthur Zamarin
2023-02-02  8:46 Miroslav Šulc
2023-02-07  8:40 Miroslav Šulc
2023-03-10  8:41 Sam James
2023-03-10  8:41 Sam James
2023-03-19  7:11 Miroslav Šulc
2023-04-18  7:02 Sam James
2023-04-18  7:02 Sam James
2023-04-19  6:30 Miroslav Šulc
2023-04-19  8:58 Arthur Zamarin
2023-04-19 11:07 Sam James
2023-04-20  7:09 Miroslav Šulc
2023-05-12  7:31 Miroslav Šulc
2023-06-11 15:37 Sam James
2023-06-11 15:46 Sam James
2023-06-12  6:48 Miroslav Šulc
2023-06-27  7:33 Miroslav Šulc
2023-07-27 13:00 Sam James
2023-07-27 13:55 Sam James
2023-07-28  7:08 Miroslav Šulc
2023-08-04  6:33 Miroslav Šulc
2023-09-03 14:19 Sam James
2023-09-03 14:19 Sam James
2023-09-04  8:12 Miroslav Šulc
2023-10-05  7:27 Miroslav Šulc
2023-11-05  7:47 Miroslav Šulc
2023-11-05  7:47 Miroslav Šulc
2023-11-05 10:08 Sam James
2023-11-05 10:08 Sam James
2023-11-07  8:38 Miroslav Šulc
2023-12-01 23:04 Miroslav Šulc
2024-01-03  8:56 Sam James
2024-01-03 10:20 Sam James
2024-01-03 22:12 Miroslav Šulc
2024-05-26  8:52 Miroslav Šulc
2024-06-18  9:39 Miroslav Šulc
2024-06-27  9:25 Miroslav Šulc
2024-06-27  9:49 Sam James
2024-06-27  9:49 Sam James
2024-06-28  8:16 Miroslav Šulc
2024-08-18  8:55 Miroslav Šulc
2024-09-17 13:03 Arthur Zamarin
2024-09-17 13:03 Arthur Zamarin
2024-09-18 12:57 Miroslav Šulc

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1441464067.ac19310fbaf0bc8ab1bc2050e2fdb45569c00e7b.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox